/*
 * Class TABLE [NATURAL_16, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1987 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1987 [] = {0xFF01,1551,1986,854,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1987 [] = {0xFF01,1986,854,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1987 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1987 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1987 [] = {0xFF01,1986,854,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1987 [] = {0xFF01,1986,854,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1987 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1987 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1987 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1987 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1987 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1987 [] = {1986,854,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1987 [] = {0xFF01,1986,854,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1987 [] = {0xFF01,1971,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1987 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1987 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1987 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1987 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1987[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1987), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1987), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1987), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1987), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1987), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1987), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1987), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1987), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1987), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1987), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1987), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1987), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1987), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1987), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8654, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8655, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8657, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1987), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1987), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9042, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9043, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9044, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1987), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1987), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1987), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1987(void)
{
	IDSC(desc_1987, 0, 1986);
	IDSC(desc_1987 + 1, 1, 1986);
	IDSC(desc_1987 + 32, 1134, 1986);
	IDSC(desc_1987 + 41, 1135, 1986);
	IDSC(desc_1987 + 50, 916, 1986);
	IDSC(desc_1987 + 56, 778, 1986);
}


#ifdef __cplusplus
}
#endif
